%define ver 0.6.2
%define rel 4mdk

Summary: Gnome SMB Browser 
Summary(es): Explorador SMB para Gnome
Summary(fr): Explorateur SMB pour Gnome 
Summary(wa): Foyteuse SMB pol Gnome
Name: gnomba
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Networking/Other
Source: http://gnomba.darkcorner.net/tars/gnomba-%{ver}.tar.bz2
Source1:%{name}.menu
Source2:%{name}_icons.tar.bz2
URL: http://gnomba.darkcorner.net/
BuildRoot: /var/tmp/gnomba-root
Requires: samba >= 2.0.5

%description
gnomba is a GUI network browser using the smb protocol.  It allows users
to browse workgroups, machines, and shares in a "Network Neighborhood."

%description -l es
gnomba es un explorador grfico para buscar mquinas Samba o Windows
en la red local; similar a como funciona con el susodicho.

%description -l fr
gnomba est un explorateur graphique pour trouver les machines Samba
ou Windows du rseau local. Il permets une utilisation semblable  celle
du "Voisinage rseau" de Windows.

%description -l wa
gnomba est ene foyteuse grafike po trover des ndjoles Samba ou Windows sol
rantoele locle. Avou l vos poloz jheymint cweri et monter des prteyes
d' ndjoles windows oudoben eployi leus scrireces. 

%changelog
* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.2-4mdk
- Add icons

* Sun Apr 23 2000 dam's <damien@mandrakesoft.com> 0.6.2-3mdk
- added menu entry

* Wed Mar 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.6.2-2mdk
- rebuild with new group: naming

* Tue Feb 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Tue Nov 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5.1

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Defattr
- Enable SMP build/check
- Remove useless defines
- 0.5.0 :
	- Update .desktop location in file list

* Wed Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.4.2

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.3

* Wed Jul 28 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- upgraded to 0.2

* Mon Jul 26 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to mandrake
- made i18n patch
- added spanish, french and walloon to *.desktop and a po/wa.po file

%prep
%setup
tar xvfy %{SOURCE2}

%build
./configure --prefix=/usr --sysconfdir=/etc
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
     
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm


%post
if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
fi
  
%postun
if [ "$1" = 0 ]; then
        if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
        fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
/usr/bin/gnomba
/usr/share/gnome/apps/Internet/gnomba.desktop 
/usr/share/locale/*/LC_MESSAGES/gnomba.mo
/usr/share/pixmaps/*
/usr/lib/menu/%{name}
/usr/share/icons/%{name}.xpm
/usr/share/icons/large/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm


